ScheduledMessages
Get a scheduled message
Returns a single scheduled message by its ID. Use this endpoint to get a scheduled message through the Samva email API.
Returns a single scheduled message by its ID.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^sched_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/messages/scheduled/string"{ "id": "string", "status": "pending", "scheduledFor": "string", "timezone": "string", "send": { "conversationId": "string", "metadata": {}, "channel": "email", "to": [ { "contactId": "string" } ], "cc": [ { "contactId": "string" } ], "bcc": [ { "contactId": "string" } ], "from": { "email": "string", "name": "string" }, "email": { "subject": "string", "html": "string", "text": "string", "attachments": [ { "filename": "string", "content": "string", "mediaId": "string", "contentType": "string", "size": 1 } ], "publicationId": "string", "inputContractId": "string", "templateId": "string", "templateSlug": "string", "templateData": {}, "inReplyToMessageId": "string", "replyTo": [ "string" ], "unsubscribeGroupId": "string", "tracking": { "opens": true, "clicks": true }, "footer": { "enabled": true } } }, "messageId": "string", "idempotencyKey": "string", "referenceId": "string", "failureReason": "string", "attempts": 0, "createdBy": "string", "actorEmail": "string", "memberRole": "string", "createdAt": "string", "updatedAt": "string"}